#version 330

layout(location = 0) in vec3 position;
layout(location = 1) in vec3 normal;

uniform mat4 project; //projection matrix
uniform mat4 view;          //view matrix
uniform mat4 model; //model matrix
uniform float offset1;    //offset along normal

void main(void) {
	vec4 tPos = vec4(position + normal * offset1, 1.0);
	gl_Position = project * view * model * tPos;
}